Folliow Un projet de site web réaliser en PHP

Loading...
Searching...
No Matches
ProjectModel Class Reference
Inheritance diagram for ProjectModel:

## Public Member Functions
| findAll (int $intLimit=0, string $strKeywords='', int $intAuthor=0, int $intPeriod=0, string $strDate='', string $strStartDate='', string $strEndDate='', int $intCategory=0, bool $boolOlderThan6Months=false)
| insert (object $objProject)
| findOne (int $intId)
| accept (int $id)
| refuse (int $id)
| delete_soft_project (int $intId)
| updateProject (object $objProject)
| getImagesByProjectId (int $projectId)
| deleteImage (int $id)
| updateImageStatus (int $id, string $status)
| findImage (int $id)
| addImageInProject (string $fileName, int $projectId, string $alt="Image projet")

## Additional Inherited Members
Protected Attributes inherited from MotherModel
| $_db

## Detailed Description

Traitement des requêtes pour les projets

Author
  Laura & Guillaume

## Member Function Documentation

## ◆ accept()

accept | ( | int | $id | ) |

Fonction de changement de status (accepter) d'un projet en BDD

Parameters

  int | $id | l'id du projet

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ addImageInProject()

addImageInProject | ( | string | $fileName,
|  | int | $projectId,
|  | string | $alt = "Image projet" )

Ajoute une image liée à un projet dans la table 'image'

Parameters

  string | $fileName | Nom du fichier image
  int | $projectId | ID du projet parent
  string | $alt | Texte alternatif

Returns
  bool

## ◆ delete_soft_project()

delete_soft_project | ( | int | $intId | ) |

Fonction de suppression d'un projet en BDD

Parameters

  int | $id | l'id du projet

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ deleteImage()

deleteImage | ( | int | $id | ) |

Fonction de récupération d'image d'un projet en BDD

Parameters

  int | $id | L'Id de l'image choisit

Returns
  array Un tableau avec les informations de la bdd

## ◆ findAll()

findAll | ( | int | $intLimit = 0,
|  | string | $strKeywords = '',
|  | int | $intAuthor = 0,
|  | int | $intPeriod = 0,
|  | string | $strDate = '',
|  | string | $strStartDate = '',
|  | string | $strEndDate = '',
|  | int | $intCategory = 0,
|  | bool | $boolOlderThan6Months = false )

Fonction de recherche des projets

Parameters

  type | string, int et bool

Returns
  array

## ◆ findImage()

findImage | ( | int | $id | ) |

Fonction de récupération d'image d'un projet en BDD

Parameters

  int | $id | L'Id de l'image choisit

Returns
  array Un tableau avec les informations de la bdd

## ◆ findOne()

findOne | ( | int | $intId | ) |

Fonction de recherche d'un seul projet

Parameters

  int | $intId |

Returns
  array|bool

## ◆ getImagesByProjectId()

getImagesByProjectId | ( | int | $projectId | ) |

Fonction de récupération d'image d'un projet en BDD

Parameters

  int | $objProject | L'Id du projet choisit

Returns
  array Un tableau avec les informations de la bdd

## ◆ insert()

insert | ( | object | $objProject | ) |

Fonction d'insertion d'un nouveau projet dans la bdd

Parameters

  object | $objProject | l'objet projet

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ refuse()

refuse | ( | int | $id | ) |

Fonction de changement de status (refusé) d'un projet en BDD

Parameters

  int | $id | l'id du projet

Returns
  bool Est-ce que la requête s'est bien passée

## ◆ updateImageStatus()

updateImageStatus | ( | int | $id,
|  | string | $status )

Fonction de modifications de status de l'image d'un projet en BDD

Parameters

  int | $id | L'Id de l'image choisit, string $status le status choisit

Returns
  array Un tableau avec les informations de la bdd

## ◆ updateProject()

updateProject | ( | object | $objProject | ) |

Fonction de mise à jour d'un projet en BDD

Parameters

  object | $objProject | L'objet utilisateur

Returns
  bool Est-ce que la requête s'est bien passée

The documentation for this class was generated from the following file:

- C:/Users/Guill/projet_php/models/ProjectModel.php